package org.greenstone.gsdl3.gs3build.indexers;

import org.greenstone.gsdl3.gs3build.doctypes.DocumentID;
import org.greenstone.gsdl3.gs3build.doctypes.DocumentInterface;

public interface IndexerInterface
{
    public boolean configure(String outputDir);
    public boolean startPass(int passNumber);
    public boolean indexDocument(DocumentID id, DocumentInterface document);
    public boolean endPass(int passNumber);
    public void    tidyup();
    public int getNumberOfPasses();
}
