package org.greenstone.gsdl3.gs3build.doctypes;

import java.io.File;
import java.net.URL;
import java.util.List;
import java.util.Map;
import java.util.ArrayList;

/**
 *  Another fairly basic class for representing JPEG documents.
 */

public class JPEGDocument extends AbstractDocument
{
  public static final String DOCUMENT_JPEG_TYPE = "JPEG";
  
  public JPEGDocument(URL url)
  { super(url);
  }

  public String getDocumentType()
  { return DOCUMENT_JPEG_TYPE;
  }

  public String getDocumentText()
  { // Just a dummy function for JPEGs
    return "";
  }

  public String getSectionText(String sectionId)
  { // Just a dummy function for JPEGs
    return "";
  }

  public boolean isMETSCompatible()
  { return true;
  }
  
  public DocumentWriter getMETSWriter()
  { return null;
  }
}
